SDL_Vulkan_DestroySurface(3)

NAME
SDL_Vulkan_DestroySurface - Destroy the Vulkan rendering surface of a window.

SYNOPSIS
#include <SDL3/SDL_vulkan.h>

void SDL_Vulkan_DestroySurface(VkInstance instance,
                           VkSurfaceKHR surface,
                           const struct VkAllocationCallbacks *allocator);

DESCRIPTION
This should be called before SDL_DestroyWindow, if SDL_Vulkan_CreateSurface was called after SDL_CreateWindow.

The instance must have been created with extensions returned by SDL_Vulkan_GetInstanceExtensions() enabled and surface must have been created successfully by an SDL_Vulkan_CreateSurface() call.

If allocator is NULL, Vulkan will use the system default allocator. This argument is passed directly to Vulkan and isn't used by SDL itself.

FUNCTION PARAMETERS

instance
    the Vulkan instance handle.

surface
    vkSurfaceKHR handle to destroy.

allocator
    a VkAllocationCallbacks struct, which lets the app set the allocator that destroys the surface. Can be NULL.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_Vulkan_GetInstanceExtensions(3), SDL_Vulkan_CreateSurface(3)